Package org.drinkless.tdlib

# Class TdApi.DropGiftOriginalDetails

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.DropGiftOriginalDetails

Enclosing class:
  `TdApi`

public static class TdApi.DropGiftOriginalDetails extends TdApi.Function<TdApi.Ok>
Drops original details for an upgraded gift.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `receivedGiftId`
  Identifier of the gift.
  `long`
  `starCount`
  The Telegram Star amount required to pay for the operation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DropGiftOriginalDetails()`
  Default constructor for a function, which drops original details for an upgraded gift.
  `DropGiftOriginalDetails(String receivedGiftId, long starCount)`
  Creates a function, which drops original details for an upgraded gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### receivedGiftId

    public String receivedGiftId
    Identifier of the gift.

  - ### starCount

    public long starCount
    The Telegram Star amount required to pay for the operation.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DropGiftOriginalDetails

    public DropGiftOriginalDetails()
    Default constructor for a function, which drops original details for an upgraded gift.

    Returns `Ok`

  - ### DropGiftOriginalDetails

    public DropGiftOriginalDetails(String receivedGiftId, long starCount)
    Creates a function, which drops original details for an upgraded gift.

    Returns `Ok`

    Parameters:
      `receivedGiftId` - Identifier of the gift.
      `starCount` - The Telegram Star amount required to pay for the operation.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR